RestorationInfo Struct Reference

Parameters related to Restoration Info. More...

`#include <restoration.h>`

## Data Fields

RestorationType | frame_restoration_type
int | restoration_unit_size
RestorationUnitInfo * | unit_info
RestorationStripeBoundaries | boundaries
int | optimized_lr
Fields allocated and initialised by av1_alloc_restoration_struct.
int | num_rest_units
int | vert_units
int | horz_units

## Detailed Description

Parameters related to Restoration Info.

## Field Documentation

## frame_restoration_type

RestorationType RestorationInfo::frame_restoration_type

Restoration type for frame

Referenced by cdef_restoration_frame().

## restoration_unit_size

int RestorationInfo::restoration_unit_size

Restoration unit size

## num_rest_units

int RestorationInfo::num_rest_units

Total number of restoration units in this plane

## vert_units

int RestorationInfo::vert_units

Number of vertical restoration units in this plane

## horz_units

int RestorationInfo::horz_units

Number of horizontal restoration units in this plane

## unit_info

RestorationUnitInfo* RestorationInfo::unit_info

Parameters for each restoration unit in this plane

## boundaries

RestorationStripeBoundaries RestorationInfo::boundaries

Restoration Stripe boundary info

## optimized_lr

int RestorationInfo::optimized_lr

Whether optimized lr can be used for speed. That includes cases of no cdef and no superres, or if fast trial runs are used on the encoder side.

The documentation for this struct was generated from the following file:

- av1/common/restoration.h